/* Example of inheritance for CIS 190
   Vehicle.cpp: contains definitions for Vehicle class
   Author: Katherine Gibson
   email:  gibsonk@seas.upenn.edu
   */


using namespace std;
#include <string>
#include <iostream>

#include "Vehicle.h"



Vehicle::Vehicle(int numAxles, int numWheels, int maxSpeed, double weight)
{
  m_numAxles  = numAxles;
  m_numWheels = numWheels;
  m_maxSpeed  = maxSpeed;
  m_weight    = weight;
}


void Vehicle::Upgrade()
{
  cout << "Upgrading vehicle... " << endl
       << "Doubling maximum speed..." << endl 
       << "...from " << m_maxSpeed;
  m_maxSpeed *= 2;
  cout << " to " << m_maxSpeed << "..." << endl
       << "UPGRADE COMPLETE" << endl;
}

void Vehicle::PrintSpecs()
{
  cout << "Number of axles:  " << m_numAxles << endl
       << "Number of wheels: " << m_numWheels << endl
       << "Maximum Speed:    " << m_maxSpeed << endl
       << "Weight:           " << m_weight << endl;
}

void Vehicle::Move(double distance)
{
  double time = distance/m_maxSpeed;
  
  cout << "Attempting to move vehicle " << distance << " miles." << endl
       << "Vehicle can be moved in a minimum of " << time << " minutes."
       << endl << "Moving now..." << endl << "MOVING COMPELETE" << endl;

}
